diff --git a/CHANGELOG.md b/CHANGELOG.md
index eb93dad04..922ba2faa 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -10,6 +10,17 @@
- All LXC instances created using this repository come pre-installed with Midnight Commander, which is a command-line tool (`mc`) that offers a user-friendly file and directory management interface for the terminal environment.
- 🚨 **The scripts in the repository will no longer provide support for Proxmox VE 7 starting from July 2024 (scripts will not execute on PVE7). Subsequent Proxmox VE - Support Lifecycle**
+## 2024-04-15
+
+### Changed
+
+- **Homarr LXC**
+ - Add back to website
+- **Umbrel LXC**
+ - Add back to website
+- **OpenMediaVault LXC**
+ - Add back to website
+
## 2024-04-12
### Changed
diff --git a/ct/homarr.sh b/ct/homarr.sh
index 6ce187511..315b893bb 100644
--- a/ct/homarr.sh
+++ b/ct/homarr.sh
@@ -57,19 +57,15 @@ header_info
if [[ ! -d /opt/homarr ]]; then msg_error "No ${APP} Installation Found!"; exit; fi
msg_info "Updating $APP (Patience)"
systemctl stop homarr
-rm -rf /root/data-homarr-backup
-rm -rf /root/database-homarr-backup
-cp -R /opt/homarr/data /root/data-homarr-backup
-cp -R /opt/homarr/database /root/database-homarr-backup
-RELEASE=$(curl -s https://api.github.com/repos/ajnart/homarr/releases/latest | grep "tag_name" | awk '{print substr($2, 3, length($2)-4) }')
-wget -q -O- https://github.com/ajnart/homarr/archive/refs/tags/v${RELEASE}.tar.gz | tar -xz -C /opt
-cp -R /opt/homarr-${RELEASE}/* /opt/homarr
-cp -R /root/data-homarr-backup/* /opt/homarr/data
-cp -R /root/database-homarr-backup/* /opt/homarr/database
-rm -rf /opt/homarr-${RELEASE}
cd /opt/homarr
-yarn install &>/dev/null
-yarn build &>/dev/null
+if ! git pull; then
+ echo "Already up to date."
+ systemctl start homarr
+ echo "No update required."
+ exit
+fi
+yarn install
+yarn build
systemctl start homarr
msg_ok "Updated $APP"
exit
diff --git a/install/homarr-install.sh b/install/homarr-install.sh
index 4b006e176..075c4f3f8 100644
--- a/install/homarr-install.sh
+++ b/install/homarr-install.sh
@@ -37,13 +37,15 @@ $STD npm install -g yarn
msg_ok "Installed Node.js/Yarn"
msg_info "Installing Homarr (Patience)"
-mkdir -p /opt/homarr
-cd /opt
-git clone https://github.com/ajnart/homarr.git
+$STD git clone -b dev https://github.com/ajnart/homarr.git /opt/homarr
+cat </opt/homarr/.env
+DATABASE_URL="file:./database/db.sqlite"
+NEXTAUTH_URL="http://localhost:3000"
+NEXTAUTH_SECRET="$(openssl rand -base64 32)"
+NEXT_PUBLIC_DISABLE_ANALYTICS="true"
+DEFAULT_COLOR_SCHEME="dark"
+EOF
cd /opt/homarr
-wget -q -O /opt/homarr/.env https://raw.githubusercontent.com/asylumexp/Proxmox/main/misc/homarr.env
-sed -i 's|NEXTAUTH_SECRET="[^"]*"|NEXTAUTH_SECRET="'"$(openssl rand -base64 32)"'"|' /opt/homarr/.env
-sed 's/ $//' /opt/homarr/.env # Get rid of space at the end of last config file line
$STD yarn install
$STD yarn build
$STD yarn db:migrate
diff --git a/install/umbrel-install.sh b/install/umbrel-install.sh
index 9475331d5..8757e88ea 100644
--- a/install/umbrel-install.sh
+++ b/install/umbrel-install.sh
@@ -33,6 +33,6 @@ motd_ssh
customize
msg_info "Cleaning up"
-$STD apt-get autoremove
-$STD apt-get autoclean
+#$STD apt-get autoremove
+#$STD apt-get autoclean
msg_ok "Cleaned"